<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='Err' id=''>
  <import-decl name='StdChannels' id='StdChannels' export='no' module='StdChannels'/>
  <import-decl name='TextRider' id='TextRider' export='no' module='TextRider'/>
  <import-decl name='Obj' id='Obj' export='no' module='Object'/>
  <var-decl name='writer' id='writer' export='read-only'>
    <oberon-doc>
      <summary>This is the rider used by the output procedures.</summary>
      <p pad-after='yes' no-indent='yes'>This is the rider used by the output procedures.  It is initialized to hold a text writer to the channel <oberon-var href='StdChannels#stderr'>StdChannels.stderr</oberon-var>.  This can be changed by calling <oberon-proc href='#SetWriter'>SetWriter</oberon-proc>.</p>
    </oberon-doc>
    <type>
      <type-name module='TextRider' name='Writer' href='TextRider#Writer'/>
    </type>
  </var-decl>
  <procedure name='Done' id='Done' export='yes'>
    <oberon-doc>
      <summary>Returns <code>TRUE</code> if the last operation was successful.</summary>
      <p pad-after='yes' no-indent='yes'>Returns <code>TRUE</code> if the last operation was successful.</p>
    </oberon-doc>
    <formal-parameters>
      <result-type>
        <type-name module='#predef' name='BOOLEAN'/>
      </result-type>
    </formal-parameters>
  </procedure>
  <procedure name='ClearError' id='ClearError' export='yes'>
    <formal-parameters/>
  </procedure>
  <procedure name='SetWriter' id='SetWriter' export='yes'>
    <formal-parameters>
      <parameter-decl name='w' id='SetWriter.w' export='no' variable-parameter='no'>
        <type>
          <type-name module='TextRider' name='Writer' href='TextRider#Writer'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Flush' id='Flush' export='yes'>
    <oberon-doc>
      <summary>Flushes all buffers associated with <oberon-var href='#writer'>writer</oberon-var>.</summary>
      <p pad-after='yes' no-indent='yes'>Flushes all buffers associated with <oberon-var href='#writer'>writer</oberon-var>.</p>
    </oberon-doc>
    <formal-parameters/>
  </procedure>
  <procedure name='Char' id='Char' export='yes'>
    <formal-parameters>
      <parameter-decl name='ch' id='Char.ch' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='CHAR'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='String' id='String' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='String.s' export='no' variable-parameter='no'>
        <type>
          <array>
            <element-type>
              <type-name module='#predef' name='CHAR'/>
            </element-type>
          </array>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Object' id='Object' export='yes'>
    <formal-parameters>
      <parameter-decl name='obj' id='Object.obj' export='no' variable-parameter='no'>
        <type>
          <type-name module='Obj' name='Object' href='Object#Object'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Bool' id='Bool' export='yes'>
    <formal-parameters>
      <parameter-decl name='bool' id='Bool.bool' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='BOOLEAN'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongInt' id='LongInt' export='yes'>
    <formal-parameters>
      <parameter-decl name='lint' id='LongInt.lint' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='LongInt.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='ShortInt' id='ShortInt' export='yes'>
    <formal-parameters>
      <parameter-decl name='sint' id='ShortInt.sint' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='SHORTINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='ShortInt.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Int' id='Int' export='yes'>
    <formal-parameters>
      <parameter-decl name='int' id='Int.int' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='INTEGER'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='Int.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Hex' id='Hex' export='yes'>
    <formal-parameters>
      <parameter-decl name='lint' id='Hex.lint' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='Hex.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongReal' id='LongReal' export='yes'>
    <oberon-doc>
      <summary>Write <oberon-param href='#LongReal.lreal'>lreal</oberon-param> with <oberon-param href='#LongReal.k'>k</oberon-param> significant digits and right-justified in a field of width <oberon-param href='#LongReal.n'>n</oberon-param>.</summary>
      <p pad-after='yes' no-indent='yes'>Write <oberon-param href='#LongReal.lreal'>lreal</oberon-param> with <oberon-param href='#LongReal.k'>k</oberon-param> significant digits and right-justified in a field of width <oberon-param href='#LongReal.n'>n</oberon-param>.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='lreal' id='LongReal.lreal' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGREAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='LongReal.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='k' id='LongReal.k' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Real' id='Real' export='yes'>
    <oberon-doc>
      <summary>As <oberon-proc href='#LongReal'>LongReal</oberon-proc>.</summary>
      <p pad-after='yes' no-indent='yes'>As <oberon-proc href='#LongReal'>LongReal</oberon-proc>.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='real' id='Real.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='Real.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='k' id='Real.k' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongRealFix' id='LongRealFix' export='yes'>
    <oberon-doc>
      <summary>Write <oberon-param href='#LongRealFix.lreal'>lreal</oberon-param> rounded to <oberon-param href='#LongRealFix.k'>k</oberon-param> digits relative to the decimal point and right-justified in a field of width <oberon-param href='#LongRealFix.n'>n</oberon-param>.</summary>
      <p pad-after='yes' no-indent='yes'>Write <oberon-param href='#LongRealFix.lreal'>lreal</oberon-param> rounded to <oberon-param href='#LongRealFix.k'>k</oberon-param> digits relative to the decimal point and right-justified in a field of width <oberon-param href='#LongRealFix.n'>n</oberon-param>.  Negative values of <oberon-param href='#LongRealFix.k'>k</oberon-param> round to the left of the decimal point and positive <oberon-param href='#LongRealFix.k'>k</oberon-param> round to the right of the decimal point.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='lreal' id='LongRealFix.lreal' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGREAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='LongRealFix.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='k' id='LongRealFix.k' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='RealFix' id='RealFix' export='yes'>
    <oberon-doc>
      <summary>As <oberon-proc href='#LongRealFix'>LongRealFix</oberon-proc>.</summary>
      <p pad-after='yes' no-indent='yes'>As <oberon-proc href='#LongRealFix'>LongRealFix</oberon-proc>.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='real' id='RealFix.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='RealFix.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='k' id='RealFix.k' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='LongRealEng' id='LongRealEng' export='yes'>
    <oberon-doc>
      <summary>As <oberon-proc href='#LongReal'>LongReal</oberon-proc>, except that the exponent is always a multiple of 3 and there are 1 to 3 digits to the left of the decimal point.</summary>
      <p pad-after='yes' no-indent='yes'>As <oberon-proc href='#LongReal'>LongReal</oberon-proc>, except that the exponent is always a multiple of 3 and there are 1 to 3 digits to the left of the decimal point.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='lreal' id='LongRealEng.lreal' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGREAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='LongRealEng.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='k' id='LongRealEng.k' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='RealEng' id='RealEng' export='yes'>
    <oberon-doc>
      <summary>As <oberon-proc href='#LongRealEng'>LongRealEng</oberon-proc>.</summary>
      <p pad-after='yes' no-indent='yes'>As <oberon-proc href='#LongRealEng'>LongRealEng</oberon-proc>.</p>
    </oberon-doc>
    <formal-parameters>
      <parameter-decl name='real' id='RealEng.real' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='REAL'/>
        </type>
      </parameter-decl>
      <parameter-decl name='n' id='RealEng.n' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
      <parameter-decl name='k' id='RealEng.k' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='LONGINT'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Set' id='Set' export='yes'>
    <formal-parameters>
      <parameter-decl name='s' id='Set.s' export='no' variable-parameter='no'>
        <type>
          <type-name module='#predef' name='SET'/>
        </type>
      </parameter-decl>
    </formal-parameters>
  </procedure>
  <procedure name='Ln' id='Ln' export='yes'>
    <formal-parameters/>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='Object'>
    <ref-target type='html' relative-uri='Object.html'/>
  </module-ref>
  <module-ref name='TextRider'>
    <ref-target type='html' relative-uri='TextRider.html'/>
  </module-ref>
  <module-ref name='StdChannels'>
    <ref-target type='html' relative-uri='StdChannels.html'/>
  </module-ref>
</interface-description>
